1. Raj S
  2. PowerBuilder
  3. Wednesday, 26 September 2018 17:46 PM

Hello,

I am Rajesh, working as pb dev. I just want to know is there student free edition for PowerBuilder 2017? and I need v.10.5 PFC libraries, please respond me as soon as possible.

 

Thanks,

Rajesh

Accepted Answer
Kevin Ridley Accepted Answer Pending Moderation
  1. Monday, 1 October 2018 21:42 PM
  2. PowerBuilder
  3. # Permalink
0
Votes
Undo

Is this an existing app you needed newer pfc libraries for or are you trying to learn pfc by creating your own new app?  It sounds like you might be just trying to open pfc_w_master directly, which is not how the pfc works.  You probably should take a look at the pfc tutorials.  If your application open event looks like this:

Open(pfc_w_master)

then you are way off and need to go through the tutorial on how to do a pfc app.  Good luck.

Comment
Yes, I want to develop new app using pfc libraries and practicing pfc services.
  1. Raj S
  2. Thursday, 4 October 2018 01:49 AM
Please share me if you have the information about PowerBuilder certification? thanks
  1. Raj S
  2. Thursday, 4 October 2018 01:51 AM
Here's a couple of links to get you started. There is no such thing as PowerBuiilder certification anymore, that ended many years go.



http://www.techno-kitten.com/PowerBuilder_Help/PFC_Notes/15-Minute_PFC_Learning_Curve/15-minute_pfc_learning_curve.html

https://www.scribd.com/document/109727788/Power-Builder-Fundation-Class
  1. Kevin Ridley
  2. Monday, 8 October 2018 13:18 PM
There are no comments made yet.
Raj S Accepted Answer Pending Moderation
  1. Monday, 1 October 2018 14:36 PM
  2. PowerBuilder
  3. # 1
0
Votes
Undo

I am facing one more error as follows, Please help me out.

Comment
Do you have implemented the events in your application object to create and destroy the applications manager (gnv_app) and to trigger its events?
  1. René Ullrich
  2. Thursday, 4 October 2018 05:22 AM
There are no comments made yet.
Kevin Ridley Accepted Answer Pending Moderation
  1. Monday, 1 October 2018 11:42 AM
  2. PowerBuilder
  3. # 2
0
Votes
Undo

As Rene said, you are missing a global variable, gnv_app.  You would usually create your own app manager object by inheriting from n_cst_appmanger.  If you are just migrating an existing PFC app that should've already been done or it would never work in the first place.  You may be in over your head on this one, but I'd first look at your global variables, maybe it got commented out at some point.   If not you need to find the appmanager object and specify a global variable of that type named gnv_app.

Comment
Thanks Kevin
  1. Raj S
  2. Monday, 1 October 2018 14:31 PM
There are no comments made yet.
René Ullrich Accepted Answer Pending Moderation
  1. Monday, 1 October 2018 05:14 AM
  2. PowerBuilder
  3. # 3
0
Votes
Undo

You need a global variable:

n_cst_appmanager    gnv_app

Comment
Thanks Rene
  1. Raj S
  2. Monday, 1 October 2018 14:31 PM
There are no comments made yet.
Raj S Accepted Answer Pending Moderation
  1. Sunday, 30 September 2018 16:49 PM
  2. PowerBuilder
  3. # 4
0
Votes
Undo

Now I have all the PFC and PFE libraries still facing errors as follows.

 

Comment
There are no comments made yet.
Kevin Ridley Accepted Answer Pending Moderation
  1. Friday, 28 September 2018 20:18 PM
  2. PowerBuilder
  3. # 5
0
Votes
Undo

See my comment below.  It looks like you probably only got the PFC pbls based on the errors.  You need the PFE pbls as well.

Comment
There are no comments made yet.
Raj S Accepted Answer Pending Moderation
  1. Thursday, 27 September 2018 15:40 PM
  2. PowerBuilder
  3. # 6
0
Votes
Undo

Hi Kevin, Thank you for the response. I am getting the following errors while full build after adding PFC libraries. Please let me know how to get ride of these errors?

 

 

 

Comment
I guess this objects are missing in your extension libraries (PFE*.PBL).

To fix it find for each mission object the corresponding pfc objects (e.g. pfc_n_base in pfcmain.pbl), inherit a new object from it and save it in the pfe*.pbl.

Or copy the missing objects from the PFC.
  1. René Ullrich
  2. Friday, 28 September 2018 05:23 AM
Did you get both the PFC and PFE libraries? You need all 10 - PFCAPSRV.PBL, PFCDWSRV.PBL, PFCMAIN.PBL, PFCUTIL.PBL, PFCWINSRV.PBL, PFEAPSRV.PBL, PFEDWSRV.PBL, PFEMAIN.PBL, PFEUTIL.PBL, PFEWINSRV.PBL. The objects that are showing up as illegal datatypes are all from PFE libraries, which makes me think you only took the PFC pbls.
  1. Kevin Ridley
  2. Friday, 28 September 2018 20:17 PM
There are no comments made yet.
Roland Smith Accepted Answer Pending Moderation
  1. Wednesday, 26 September 2018 19:43 PM
  2. PowerBuilder
  3. # 7
0
Votes
Undo

Why would you want the 10.5 PFC with PB 2017? You should try to use the matching version.

Legally the only thing you can do is get the trial version of 2017.

PB 10.5 is the last version without some sort of license control so if you can find a copy of that, you can easily install it and pair it with PFC 10.5 for learning purposes.

 

Comment
There are no comments made yet.
Raj S Accepted Answer Pending Moderation
  1. Wednesday, 26 September 2018 19:26 PM
  2. PowerBuilder
  3. # 8
0
Votes
Undo

Can I get PB v.12.5 full version for free?

Comment
No ... SAP stopped the NFR (not for resale) copies. So that blocked PB 12.5 & 12.6.
  1. Chris Pollach @Appeon
  2. Wednesday, 26 September 2018 19:34 PM
There are no comments made yet.
Chris Pollach @Appeon Accepted Answer Pending Moderation
  1. Wednesday, 26 September 2018 18:54 PM
  2. PowerBuilder
  3. # 9
0
Votes
Undo

Hi Raj;

  Sorry, Appeon does not offer a free version at this time.

Regards ... Chris

Comment
There are no comments made yet.
Kevin Ridley Accepted Answer Pending Moderation
  1. Wednesday, 26 September 2018 18:23 PM
  2. PowerBuilder
  3. # 10
0
Votes
Undo

Google is your friend in this case!

 

https://github.com/OpenSourcePFCLibraries/10.5

Comment
There are no comments made yet.
  • Page :
  • 1


There are no replies made for this question yet.
However, you are not allowed to reply to this question.